/*
********************************************************************
**                                                                **
**	Tab Counter  -  Extension for Pale Moon                       **
**                                                                **
**	Last edit: September 13, 2018                                 **
**                                                                **
**	Release number: 1                                             **
**                                                                **
********************************************************************
*/

// "Per session" global data storage.

var EXPORTED_SYMBOLS = ["globalVal"];

var globalVal = {

	ssWinRest: false, // "sessionstore-windows-restored"
	tabGroupsExt: false, // Presence & activation status of "Tab Groups" extension.
	tbcEnabled: false, // Tab Counter is enabled if was disabled or after it has been installed/upgraded/downgraded.
	sManagerExt: false, // Presence & activation status of "Session Manager" extension.
	openWindows: 0,
	restoredWindows: 0, // Used on session restorations on browser startup or while browser is already running.
	browserIsBusy: false, // Used on session restorations, not on browser startup.
	stateReadyWin: 0, // Used on session restorations, not on browser startup.
	domReadyWin: 0, // Used on "Restore All Windows". In all other cases where it is read, it must be always equal to "openWindows".
	visCount_S: 0, // Total number of visible tabs in all windows (session).
	totalCount_S: 0, // Total number of all tabs in all windows (session).
	canUpdateOtherWin: false,

	getSetVal: function(prop, gsv, val) {
		if(gsv == "getV") { // get value.
			return this[prop];
		};
		if(gsv == "setV") { // set value.
			this[prop] = val;
			return;
		};
		if(gsv == "setT") { // set true.
			this[prop] = true;
			return;
		};
		if(gsv == "setF") { // set false.
			this[prop] = false;
			return;
		};
	}
};
